Debian Bug report logs - #368621
RM: sdl-ttf1.2 -- RoM; obsolete

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Stefan Huehner <stefan@huehner.org>

Date: Tue, 23 May 2006 14:48:17 UTC

Severity: minor

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>:
Bug#368621; Package sdl-ttf1.2. Full text and rfc822 format available.

Acknowledgement sent to Stefan Huehner <stefan@huehner.org>:
New Bug report received and forwarded. Copy sent to Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Stefan Huehner <stefan@huehner.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: sdl-ttf1.2: Please consider removal of this package in favor of sdl-ttf2.0
Date: Tue, 23 May 2006 16:40:23 +0200
Package: sdl-ttf1.2
Severity: minor


Hi,
this package depends on the ancient libttf2. The package sdl-ttf2.0
depends on the current libfreetype6 and most depending packages have
already been converted.
As there are only 2 depending packages (bugs for transitioning to
sdl-ttf2.0 have been filed) please consider removing this package in the
effort to phase out libttf2 usage.

Regards,
Stefan

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.16-1-686
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)



Blocking bugs added: 365785 Request was from Stefan Huehner <stefan@huehner.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 365784 Request was from Stefan Huehner <stefan@huehner.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>:
Bug#368621; Package sdl-ttf1.2. Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurelien@aurel32.net>:
Extra info received and forwarded to list. Copy sent to Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #14 received at 368621@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: Stefan Huehner <stefan@huehner.org>, 368621@bugs.debian.org
Subject: Re: Bug#368621: sdl-ttf1.2: Please consider removal of this package in favor of sdl-ttf2.0
Date: Tue, 30 May 2006 22:31:51 +0200
Stefan Huehner a écrit :
> Package: sdl-ttf1.2
> Severity: minor
> 
> 
> Hi,
> this package depends on the ancient libttf2. The package sdl-ttf2.0
> depends on the current libfreetype6 and most depending packages have
> already been converted.
> As there are only 2 depending packages (bugs for transitioning to
> sdl-ttf2.0 have been filed) please consider removing this package in the
> effort to phase out libttf2 usage.
> 
One package has been fixed, and I sponsored the other this morning. 
There is no more packages depending on it (or at least it will be the 
case in the next few days), I will therefore reassign this bug to 
ftp.debian.org asking for removal.

Bye,
Aurelien

-- 
  .''`.  Aurelien Jarno	            | GPG: 1024D/F1BCDB73
 : :' :  Debian developer           | Electrical Engineer
 `. `'   aurel32@debian.org         | aurelien@aurel32.net
   `-    people.debian.org/~aurel32 | www.aurel32.net



Information forwarded to debian-bugs-dist@lists.debian.org, Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>:
Bug#368621; Package sdl-ttf1.2. Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurelien@aurel32.net>:
Extra info received and forwarded to list. Copy sent to Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #19 received at 368621@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: Stefan Huehner <stefan@huehner.org>, 368621@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Bug#368621: Please remove sdl-ttf1.2 from the archive
Date: Tue, 30 May 2006 22:33:47 +0200
reassign 368621 ftp.debian.org
retitle 368621 Please remove sdl-ttf1.2 from the archive
thanks

This package is now deprecated in favor on sdl-ttf2.0. No more packages 
are depending on it, so please remove it from the archive.

Thanks
Aurelien

-- 
  .''`.  Aurelien Jarno	            | GPG: 1024D/F1BCDB73
 : :' :  Debian developer           | Electrical Engineer
 `. `'   aurel32@debian.org         | aurelien@aurel32.net
   `-    people.debian.org/~aurel32 | www.aurel32.net



Bug reassigned from package `sdl-ttf1.2' to `ftp.debian.org'. Request was from Aurelien Jarno <aurelien@aurel32.net> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Aurelien Jarno <aurelien@aurel32.net> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Pierre Habouzit <madcoder@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Stefan Huehner <stefan@huehner.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #30 received at 368621-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 368621-close@bugs.debian.org
Cc: sdl-ttf1.2@packages.debian.org, sdl-ttf1.2@packages.qa.debian.org
Subject: Bug#368621: fixed
Date: Fri, 07 Jul 2006 00:03:04 -0700
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

libsdl-ttf1.2 |    1.2.2-7 | alpha, amd64, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
libsdl-ttf1.2-dev |    1.2.2-7 | alpha, amd64, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
sdl-ttf1.2 |    1.2.2-7 | source

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 368621@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Joerg Jaspert (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 17 Jun 2007 18:31:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 20:58:53 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.